# -*- coding: utf-8 -*-
from setuphelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()
    arch_dict = {
        "x64": "https://az764295.vo.msecnd.net/stable/a21a160d630530476218b85db95b0fd2a8cd1230/VSCodeSetup-x64-1.70.3.exe",
        "x86": "https://az764295.vo.msecnd.net/stable/a21a160d630530476218b85db95b0fd2a8cd1230/VSCodeSetup-ia32-1.70.3.exe",
        "arm64": "https://az764295.vo.msecnd.net/stable/a21a160d630530476218b85db95b0fd2a8cd1230/VSCodeSetup-arm64-1.70.3.exe",
    }
    download_url = arch_dict[control.architecture]
    latest_bin = download_url.split("/")[-1]

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    # Changing version of the package
    version = get_version_from_binary(latest_bin)
    if Version(version, 4) > Version(control.get_software_version(), 4):
        print("Software version updated (from: %s to: %s)" % (control.get_software_version(), Version(version)))
        package_updated = True
    else:
        print("Software version up-to-date (%s)" % Version(version))
    control.set_software_version(version)
    control.save_control_to_wapt()

    # Validating or not update-package-sources
    return package_updated
